{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf cfg.pulseaudio {

  # Pulse Audio
  hardware.pulseaudio = {
    enable = true;
    support32Bit = true;
    daemon.config = { flat-volumes = "no"; };
  };
}
